# \Thelia\Core\EventListenerControllerListener

Action are dispatched here.

A factory is used for creating appropriate action object

Class ControllerListener

## Summary

Methods
Properties
Constants
__construct()
onKernelController()
getSubscribedEvents()
No public properties found
No constants found
No protected methods found
$parserContext
N/A
No private methods found
No private properties found
N/A

File
  Core/EventListener/ControllerListener.php
Package
  \Thelia\Core\EventListener
Class hierarchy
  \Thelia\Core\EventListener\ControllerListener

## Tags

None found

## Properties

### $parserContext

    $parserContext : \Thelia\Core\Template\ParserContext

#### Type

\Thelia\Core\Template\ParserContext — the parser context

#

## Tags

None found

## Methods

### __construct()

    __construct(\Thelia\Core\Template\ParserContext $parserContext)

#### Parameters

\Thelia\Core\Template\ParserContext | $parserContext |

#

## Tags

None found

### onKernelController()

    onKernelController(\Symfony\Component\HttpKernel\Event\FilterControllerEvent $event)

#### Parameters

\Symfony\Component\HttpKernel\Event\FilterControllerEvent | $event |

#

## Tags

None found

### getSubscribedEvents()

    getSubscribedEvents()

#

static

## Tags

None found

### ControllerListener.php